--- title: "Pre-check version upgrade" slug: "ses-rollingupgradeprecheck" updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/ses-rollingupgradeprecheck" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Pre-check version upgrade Available in VPC Check whether rolling upgrades are possible for a cluster version of search engine (OpenSearch). Note You must have a cluster snapshot created within the last 6 hours or before the upgrade for the upgrade to be possible. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/cluster/rollingUpgradePreCheck (Korea Region) | | POST | /api/sgn-v2/cluster/rollingUpgradePreCheck (Singapore Region) | | POST | /api/jpn-v2/cluster/rollingUpgradePreCheck (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionNo` | String | Required | Region number - See [Get Region list](/docs/en/analytics-vpcsearchengine-cluster-getregionlist). | | `serviceGroupInstanceNo` | String | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | | `targetVersionCode` | String | Required | Search engine version code - See [Get version](/docs/en/analytics-vpcsearchengine-cluster-getsearchengineversionlist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/rollingUpgradePreCheck' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "regionNo": "1", "serviceGroupInstanceNo": "1037*****", "targetVersionCode": "2180" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message - Upgrade available: `SUCCESS` is displayed. - Request syntax error or upgrade unavailable: Failure cause is displayed. | | `result` | Boolean | - | Response result - `true` \| `null` - `true`: Succeeded - `null`: Failed | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: #### If upgrade is possible based on check results The following is a sample response if the upgrade is available based on the check results. ``` { "code": 0, "message": "SUCCESS", "result": true, "requestId": "d43c5717-****-****-****-7310a6f356fe" } ``` #### If upgrade is not possible based on check results The following is a sample response when the upgrade can't be performed based on the check results. ``` { "code": 10155, "message": "targetVersionCode must be entered as a version higher than the current version.", "result": null, "requestId": "c926b283-****-****-****-26b0228155d3" } ```